Loading...
Searching...
No Matches
aastringcodec.h File Reference
`#include "pappsomspp/export-import-config.h"`
`#include "pappsomspp/core/amino_acid/aacode.h"`

Go to the source code of this file.

## Classes

struct | pappso::CodeToMass
class | pappso::AaStringCodec
| code and decode amino acid string sequence to unique integer More...

## Namespaces

namespace | pappso
| tries to keep as much as possible monoisotopes, removing any possible C13 peaks and changes multicharge peaks to monocharge

## Typedefs

typedef std::shared_ptr< const AaStringCodec > | pappso::AaStringCodecSp
| shared pointer on a Protein object